| OGRE 1.10.11 Object-Oriented Graphics Rendering Engine

Classes | Typedefs | Enumerations | Functions
OgreBites Namespace Reference
Optional Components » Bites

## Classes
class | AdvancedRenderControls
class | ApplicationContext
| Base class responsible for setting up a common context for applications. More...
class | Button
| Basic button class. More...
class | CameraMan
| Utility class for controlling the camera in samples. More...
class | CheckBox
| Basic check box widget. More...
class | DecorWidget
| Custom, decorative widget created from a template. More...
union | Event
struct | InputListener
| the return values of the callbacks are ignored by ApplicationContext however they can be used to control event propagation in a hierarchy More...
struct | KeyboardEvent
class | Label
| Basic label widget. More...
struct | MouseButtonEvent
struct | MouseMotionEvent
struct | MouseWheelEvent
struct | NativeWindowPair
| link between a renderwindow and a platform specific window More...
class | ParamsPanel
| Basic parameters panel widget. More...
class | ProgressBar
| Basic progress bar widget. More...
class | SelectMenu
| Basic selection menu widget. More...
class | Separator
| Basic separator widget. More...
class | SGTechniqueResolverListener
| This class demonstrates basic usage of the RTShader system. More...
class | Slider
| Basic slider widget. More...
class | StaticPluginLoader
| Utility class for loading the plugins statically. More...
class | TextBox
| Scrollable text box widget. More...
struct | TouchFingerEvent
class | TrayListener
| Listener class for responding to tray events. More...
class | TrayManager
| Main class to manage a cursor, backdrop, trays and widgets. More...
class | Widget
| Abstract base class for all widgets. More...

## Typedefs
typedef int | Keycode
typedef SDL_Window | NativeWindowType
typedef Ogre::VectorIterator< WidgetList > | WidgetIterator
typedef std::vector< Widget * > | WidgetList

## Enumerations
enum | { BUTTON_LEFT, BUTTON_MIDDLE, BUTTON_RIGHT }
enum | ButtonState { BS_UP, BS_OVER, BS_DOWN }
| enumerator values for button states More...
enum | CameraStyle { CS_FREELOOK, CS_ORBIT, CS_MANUAL }
| enumerator values for different styles of camera movement More...
enum | TrayLocation { TL_TOPLEFT, TL_TOP, TL_TOPRIGHT, TL_LEFT, TL_CENTER, TL_RIGHT, TL_BOTTOMLEFT, TL_BOTTOM, TL_BOTTOMRIGHT, TL_NONE }
| enumerator values for widget tray anchoring locations More...

## Functions
_OgreBitesExport Ogre::ConfigDialog * | getNativeConfigDialog ()
| get an platform native dialog instance. More...

## Typedef Documentation

## ◆ NativeWindowType

typedef SDL_Window OgreBites::NativeWindowType

## ◆ Keycode

typedef int OgreBites::Keycode

## ◆ WidgetList

typedef std::vector<Widget*> OgreBites::WidgetList

## ◆ WidgetIterator

typedef Ogre::VectorIterator<WidgetList> OgreBites::WidgetIterator

## Enumeration Type Documentation

## ◆ CameraStyle

enum OgreBites::CameraStyle

enumerator values for different styles of camera movement

Enumerator
CS_FREELOOK |
CS_ORBIT |
CS_MANUAL |

## ◆ anonymous enum

anonymous enum

Enumerator
BUTTON_LEFT |
BUTTON_MIDDLE |
BUTTON_RIGHT |

## ◆ TrayLocation

enum OgreBites::TrayLocation

enumerator values for widget tray anchoring locations

Enumerator
TL_TOPLEFT |
TL_TOP |
TL_TOPRIGHT |
TL_LEFT |
TL_CENTER |
TL_RIGHT |
TL_BOTTOMLEFT |
TL_BOTTOM |
TL_BOTTOMRIGHT |
TL_NONE |

## ◆ ButtonState

enum OgreBites::ButtonState

enumerator values for button states

Enumerator
BS_UP |
BS_OVER |
BS_DOWN |

## Function Documentation

## ◆ getNativeConfigDialog()

_OgreBitesExport Ogre::ConfigDialog* OgreBites::getNativeConfigDialog | ( |  | ) |

get an platform native dialog instance.

Returns
  pointer to Ogre::ConfigDialog or NULL if not available on the current platform.